function GeolocaliserIP {
    $adresseIP = Read-Host "Saisissez l'adresse IP  localiser (ou tapez 'fin' pour quitter) "
    
	if ($adresseIP -eq 'fin') 
	{
        return $false
    }

    $api = "http://ip-api.com/json/$adresseIP"

    $resultats = Invoke-RestMethod -Method Get -Uri $api

	Write-Host "-------------------------------------------------------------"
    Write-Host "Rsultats de la golocalisation pour l'adresse IP $adresseIP :"
    Write-Host "Pays : $($resultats.country)"
	Write-Host "Rgion : $($resultats.regionName)"
    Write-Host "Ville : $($resultats.city)"
	Write-Host "Code Postal : $($resultats.zip)"
	Write-Host "Latitude : $($resultats.lat)"
	Write-Host "Longitude : $($resultats.lon)"
	Write-Host "FAI : $($resultats.isp)"
	Write-Host "-------------------------------------------------------------"

    Read-Host "Appuyez sur Entre pour continuer"
    
    return $true
}

while (GeolocaliserIP) {}